org.springframework.cloud.dataflow.rest.job.support

## Class TimeUtils

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.job.support.TimeUtils

-     public final class TimeUtils
      extends Object

  Provides a commons set of time-related helper methods and also defines common date/time formats.
  Since:
    1.0
  Author:
    Gunnar Hillert, Glenn Renfro

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_DATAFLOW_DATE_FORMAT_PATTERN`
    `static String` | `DEFAULT_DATAFLOW_DATE_TIME_FORMAT_PATTERN`
    `static String` | `DEFAULT_DATAFLOW_DATE_TIME_PARAMETER_FORMAT_PATTERN`
    `static String` | `DEFAULT_DATAFLOW_DURATION_FORMAT_PATTERN`
    `static String` | `DEFAULT_DATAFLOW_TIME_FORMAT_PATTERN`
    `static String` | `DEFAULT_DATAFLOW_TIMEZONE_ID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DateFormat` | `getDefaultDateFormat()`
    `static DateFormat` | `getDefaultDateTimeFormat()`
    `static DateFormat` | `getDefaultDurationFormat()`
    `static DateFormat` | `getDefaultTimeFormat()`
    `static TimeZone` | `getDefaultTimeZone()`
    `static TimeZone` | `getJvmTimeZone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DATAFLOW_DATE_FORMAT_PATTERN

          public static final String DEFAULT_DATAFLOW_DATE_FORMAT_PATTERN

      See Also:
        Constant Field Values

    - #### DEFAULT_DATAFLOW_TIME_FORMAT_PATTERN

          public static final String DEFAULT_DATAFLOW_TIME_FORMAT_PATTERN

      See Also:
        Constant Field Values

    - #### DEFAULT_DATAFLOW_DATE_TIME_FORMAT_PATTERN

          public static final String DEFAULT_DATAFLOW_DATE_TIME_FORMAT_PATTERN

      See Also:
        Constant Field Values

    - #### DEFAULT_DATAFLOW_DURATION_FORMAT_PATTERN

          public static final String DEFAULT_DATAFLOW_DURATION_FORMAT_PATTERN

      See Also:
        Constant Field Values

    - #### DEFAULT_DATAFLOW_TIMEZONE_ID

          public static final String DEFAULT_DATAFLOW_TIMEZONE_ID

      See Also:
        Constant Field Values

    - #### DEFAULT_DATAFLOW_DATE_TIME_PARAMETER_FORMAT_PATTERN

          public static final String DEFAULT_DATAFLOW_DATE_TIME_PARAMETER_FORMAT_PATTERN

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultTimeZone

          public static TimeZone getDefaultTimeZone()

      Returns:
        Default Spring Cloud DataFLow `TimeZone` using ID

    - #### getJvmTimeZone

          public static TimeZone getJvmTimeZone()

      Returns:
        The JVM `TimeZone`.

    - #### getDefaultDateFormat

          public static DateFormat getDefaultDateFormat()

      Returns:
        The Default Spring Cloud Data Flow `DateFormat` using pattern `DEFAULT_DATAFLOW_DATE_FORMAT_PATTERN`

    - #### getDefaultTimeFormat

          public static DateFormat getDefaultTimeFormat()

      Returns:
        The Default Spring Cloud Data Flow time format using `DateFormat` pattern `DEFAULT_DATAFLOW_TIME_FORMAT_PATTERN`

    - #### getDefaultDateTimeFormat

          public static DateFormat getDefaultDateTimeFormat()

      Returns:
        The Default Spring Cloud Data Flow date/time format using `DateFormat` pattern `DEFAULT_DATAFLOW_DATE_TIME_FORMAT_PATTERN`

    - #### getDefaultDurationFormat

          public static DateFormat getDefaultDurationFormat()

      Returns:
        The Default Spring Cloud Data Flow duration format using `DateFormat` pattern `DEFAULT_DATAFLOW_DURATION_FORMAT_PATTERN`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.